Package com.pixelmed.dicom

# Class SOPInstanceReference

java.lang.Object
com.pixelmed.dicom.SOPInstanceReference

Direct Known Subclasses:
  `ImageReference`

public class SOPInstanceReference extends Object

A class to represent a non-hierarchical instance reference.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`sopClassUID`
`protected String`
`sopInstanceUID`

## Constructor Summary

Constructors
Constructor
Description
`SOPInstanceReference(AttributeList list)`
Construct an instance of a reference from the attributes of the referenced instance itself.
`SOPInstanceReference(SOPInstanceReference reference)`
Construct an instance of a reference to an instance.
`SOPInstanceReference(String sopInstanceUID, String sopClassUID)`
Construct an instance of a reference to an instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getSOPClassUID()`
Get the SOP Class UID.
`String`
`getSOPInstanceUID()`
Get the SOP Instance UID.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### sopInstanceUID

protected String sopInstanceUID

### sopClassUID

protected String sopClassUID

## Constructor Details

### SOPInstanceReference

public SOPInstanceReference(String sopInstanceUID, String sopClassUID)

Construct an instance of a reference to an instance.

Parameters:
  `sopInstanceUID` - the SOP Instance UID
  `sopClassUID` - the SOP Class UID

### SOPInstanceReference

public SOPInstanceReference(SOPInstanceReference reference)

Construct an instance of a reference to an instance.

Parameters:
  `reference` - an existing reference to clone

### SOPInstanceReference

public SOPInstanceReference(AttributeList list)

Construct an instance of a reference from the attributes of the referenced instance itself.

Parameters:
  `list` - the attributes of an instance

## Method Details

### getSOPInstanceUID

public String getSOPInstanceUID()

Get the SOP Instance UID.

Returns:
  the SOP Instance UID, or null

### getSOPClassUID

public String getSOPClassUID()

Get the SOP Class UID.

Returns:
  the SOP Class UID, or null

### toString

public String toString()

Overrides:
  `toString` in class `Object`